import * as $dara from '@darabonba/typescript';
import { ModifyElasticityAssuranceAutoRenewAttributeResponseBody } from "./ModifyElasticityAssuranceAutoRenewAttributeResponseBody";
export declare class ModifyElasticityAssuranceAutoRenewAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyElasticityAssuranceAutoRenewAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
